import { ThriftDocument } from './@creditkarma/thrift-parser';
import { RpcEntity, CMDOptions } from './interfaces';
export declare function readCode(filefullname: string, options?: Partial<CMDOptions>, // TODO 添加option支持
includeMap?: {
    [key: string]: RpcEntity;
}): Promise<RpcEntity>;
export declare function parser(filefullname: string, source: string, options?: Partial<CMDOptions>, // TODO 添加option支持
includeMap?: {
    [key: string]: RpcEntity;
}): RpcEntity;
/**
 *
 * @param {ThriftDocument} ast thrift-parser输出的ast
 * @returns {RpcEntity} 返回rpc
 */
export declare function transformAst(ast: ThriftDocument): RpcEntity;
